summaryrefslogtreecommitdiffstats
path: root/security/nss/tests
diff options
context:
space:
mode:
Diffstat (limited to 'security/nss/tests')
-rwxr-xr-xsecurity/nss/tests/all.sh5
-rwxr-xr-xsecurity/nss/tests/bogo/bogo.sh2
-rwxr-xr-xsecurity/nss/tests/common/cleanup.sh2
-rw-r--r--security/nss/tests/interop/interop.sh10
4 files changed, 16 insertions, 3 deletions
diff --git a/security/nss/tests/all.sh b/security/nss/tests/all.sh
index 8d5bd2dbb..3a02debef 100755
--- a/security/nss/tests/all.sh
+++ b/security/nss/tests/all.sh
@@ -325,6 +325,11 @@ NSS_SSL_RUN="${NSS_SSL_RUN:-$nss_ssl_run}"
ENV_BACKUP=${HOSTDIR}/env.sh
env_backup > ${ENV_BACKUP}
+# Print hardware support if we built it.
+if [ -f ${BINDIR}/hw-support ]; then
+ ${BINDIR}/hw-support
+fi
+
if [ "${O_CRON}" = "ON" ]; then
run_cycles >> ${LOGFILE}
else
diff --git a/security/nss/tests/bogo/bogo.sh b/security/nss/tests/bogo/bogo.sh
index 26dfb0abb..d1a93bf9b 100755
--- a/security/nss/tests/bogo/bogo.sh
+++ b/security/nss/tests/bogo/bogo.sh
@@ -25,7 +25,7 @@ bogo_init()
BORING=${BORING:=boringssl}
if [ ! -d "$BORING" ]; then
git clone -q https://boringssl.googlesource.com/boringssl "$BORING"
- git -C "$BORING" checkout -q bbfe603519bc54fbc4c8dd87efe1ed385df550b4
+ git -C "$BORING" checkout -q a513e86c1ebb1383930c9e504bdabcc302a85f30
fi
SCRIPTNAME="bogo.sh"
diff --git a/security/nss/tests/common/cleanup.sh b/security/nss/tests/common/cleanup.sh
index 40885bc79..97c139321 100755
--- a/security/nss/tests/common/cleanup.sh
+++ b/security/nss/tests/common/cleanup.sh
@@ -30,6 +30,8 @@ if [ -z "${CLEANUP}" -o "${CLEANUP}" = "${SCRIPTNAME}" ]; then
echo "NSS_DISABLE_HW_AES=${NSS_DISABLE_HW_AES}"
echo "NSS_DISABLE_PCLMUL=${NSS_DISABLE_PCLMUL}"
echo "NSS_DISABLE_AVX=${NSS_DISABLE_AVX}"
+ echo "NSS_DISABLE_ARM_NEON=${NSS_DISABLE_ARM_NEON}"
+ echo "NSS_DISABLE_SSSE3=${NSS_DISABLE_SSSE3}"
echo
echo "Tests summary:"
echo "--------------"
diff --git a/security/nss/tests/interop/interop.sh b/security/nss/tests/interop/interop.sh
index 59f0cb481..97c82e0ca 100644
--- a/security/nss/tests/interop/interop.sh
+++ b/security/nss/tests/interop/interop.sh
@@ -24,7 +24,8 @@ interop_init()
cd "${HOSTDIR}/interop"
INTEROP=${INTEROP:=tls_interop}
if [ ! -d "$INTEROP" ]; then
- git clone -q https://github.com/mozilla/tls-interop "$INTEROP"
+ git clone -q https://github.com/ttaubert/tls-interop "$INTEROP"
+ git -C "$INTEROP" checkout -q 07930b791827c1bdb6f4c19ca0aa63850fd59e22
fi
INTEROP=$(cd "$INTEROP";pwd -P)
@@ -56,7 +57,12 @@ interop_run()
(cd "$INTEROP";
cargo run -- --client "$client" --server "$server" --rootdir "$BORING"/ssl/test/runner/ --test-cases cases.json) 2>interop-${test_name}.errors | tee interop-${test_name}.log
- html_msg "${PIPESTATUS[0]}" 0 "Interop" "Run successfully"
+ RESULT=${PIPESTATUS[0]}
+ html_msg "${RESULT}" 0 "Interop" "Run successfully"
+ if [ $RESULT -ne 0 ]; then
+ cat interop-${test_name}.errors
+ cat interop-${test_name}.log
+ fi
grep -i 'FAILED\|Assertion failure' interop-${test_name}.errors
html_msg $? 1 "Interop" "No failures"
}